﻿using Edge.Extensions;
using Edge.Extensions.Web;
using Microsoft.VisualStudio.TestTools.UnitTesting;
namespace Edge.Utilities.Tests
{
    
    
    /// <summary>
    ///This is a test class for WebExtensionsTest and is intended
    ///to contain all WebExtensionsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class WebExtensionsTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion

        /// <summary>
        ///A test for HtmlSpecialEntitiesEncode
        ///</summary>
        [TestMethod()]
        public void HtmlSpecialEntitiesEncodeTest()
        {
            string s = "?y=55&x=55";
            string expected = "?y=55&amp;x=55";
            string actual;
            actual = WebExtensions.HtmlSpecialEntitiesEncode(s);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for HtmlSpecialEntitiesDecode
        ///</summary>
        [TestMethod()]
        public void HtmlSpecialEntitiesDecodeTest()
        {
            string s = "?y=55&amp;x=55";
            string expected = "?y=55&x=55";
            string actual;
            actual = WebExtensions.HtmlSpecialEntitiesDecode(s);
            Assert.AreEqual(expected, actual);
        }
    }
}
